[Mongrel] Error with Mongrel_cluster

Wayne E. Seguin wayneeseguin at gmail.com
Mon Oct 1 16:52:50 EDT 2007


On 10/1/07, Sid News <sid.webnews at gmail.com> wrote:
>
> I follow these instructions to setup my mongrel_cluster
> http://mongrel.rubyforge.org/docs/mongrel_cluster.html
>
> The mongrel_cluster and mongrel_rails both worked fine, but my supervisor
> installed oci8 or oracle and then when i try to start mongrel_rails it would
> give me the same error. Googling it led me to add the environment variables
> $ORACLE_HOME and $LD_LIBRARY_PATH , after that mongrel_rails works.
> But mongrel_cluster is still broken and I'm not sure what more do I need
> to do to get it back running. I must be missing something about
> mongrel_cluster.
>
> My setup is Ubuntu 6.06.1 LTS , nginx (webserver) ruby 1.8.4
> Thanks.


Sid,

I would try to re-install (or install if you don't have it) the oci8 adaptor
to force it to rebuild against the new oracle installation.

sudo gem uninstall ruby-oci8
sudo gem install ruby-oci8

http://rubyforge.org/projects/ruby-oci8/

Let us know if this works.

Best,

  ~Wayne
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/mongrel-users/attachments/20071001/c512f8ab/attachment.html 


More information about the Mongrel-users mailing list